---
schema_version: "1"
id: 2d7e8d2b5f5206fe65fb472e5cc668726e818740a83d3f7c9d31e3353caf4863
title: Supported Vertex Endpoints for Point of Sale
collection: admin
version: current
locale: en-us
portal_url: https://docs.salesforce.com/admin/current/en-us/commerce/264-0-0/rt_adv_config_3p_int_tax_vertex_endpoints.md
canonical_url: https://help.salesforce.com/s/articleView?id=commerce.rt_adv_config_3p_int_tax_vertex_endpoints.htm&release=264.0.0&type=5
source_site: help.salesforce.com
content_type: documentation
content_hash: cda43ac205cdfdcc824443ad37c6fe52092bdd23ebe7fac991706ff1ec5e56b7
description: Point of Sale calls these Vertex endpoints during tax engine setup verification and during checkout tax calculation.
products:
  - Commerce
release: "264"
---
# Supported Vertex Endpoints for Point of Sale

Point of Sale calls these Vertex endpoints during tax engine setup verification and during checkout tax calculation.

## Authentication Endpoint

```
https://auth.vertexsmb.com/identity/connect/token
```

This endpoint refreshes the token required for the Calculate Tax API. This call is made when no valid Vertex token is available. The token expiration time is determined by Vertex and is not fixed. Point of Sale caches the token and keeps it valid until it expires. For more details, refer to the [Vertex API Access Token Documentation](https://developer.vertexinc.com/payroll/docs/access-token)

Sample Request:

```
curl --location 'https://auth.vertexsmb.com/identity/connect/token' \
--header 'Content-Type: application/x-www-form-urlencoded' \
--data-urlencode 'grant_type=client_credentials' \
--data-urlencode 'client_id={client_id}' \
--data-urlencode 'client_secret={client_secret}'
```

![Note](https://sf-zdocs-cdn-prod.zoominsoftware.com/tdta-commerce-retail-264-0-0-production-enus/17d647fb-8988-49fb-9add-c4f4cc79c9e4/images/icon_note.png)

Note The client\_id and client\_secret values can be obtained from the Vertex Portal under the Security & Credentials section.

Sample Response:

```
{
  "access_token": "eyJ0eXAiOiJKV1QiLCJhbGciOiJSUzI1NiIsIng1dCI6Ik1XTkZiT1BEOHNOMWl5WXNPR29ZUE5jMTZPVSIsImtpZCI6Ik1XTkZiT1BEOHNOMWl5WXNPR29ZUE5jMTZPVSJ9...<truncated>",
  "expires_in": 1200,
  "token_type": "Bearer"
}
```

## Tax Calculation Endpoint

```
https://calcconnect.vertexsmb.com/vertex-ws/v2/supplies
```

This endpoint is used for tax computation during cart operations. All Vertex tax requests associated with a single Point of Sale cart are grouped under the same documentNumber. During cart operations, the Point of Sale cart uses QUOTATION as the saleMessageType for transaction tax calculations and switches to INVOICE during order settlement.

When a user clicks **Verify** during the [Set Up Tax Engine](https://help.salesforce.com/s/articleView?id=commerce.rt_adv_config_3p_int_tax_vertex_cms_setup.htm&release=264.0.0&type=5 "Connect Vertex to Point of Sale by configuring the tax engine in CMS.") process, the system first generates an authentication token using the Token API. This token is then used to invoke the Tax Calculation API to simulate a tax call.

Sample Request

```
curl --location 'https://calcconnect.vertexsmb.com/vertex-ws/v2/supplies' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer eyJ0eXAiOiJKV1QiLCJhbGciOiJSUzI1NiIsIng1dCI6Ik1XTkZiT1BEOHNOMWl5WXNPR29ZUE5jMTZPVSIsImtpZCI6Ik1XTkZiT1BEOHNOMWl5WXNPR29ZUE5jMTZPVSJ9...<truncated>' \
--data '{
   "currency": {
       "isoCurrencyCodeAlpha": "USD"
   },
   "customer": {
       "customerCode": {
           "classCode": "y",
           "value": "C"
   },
   "destination": {
       "city": "Los Altos",
       "country": "US",
       "mainDivision": "CA",
       "postalCode": "94022",
       "streetAddress1": "5050 El Camino Real"
   }
},
"documentDate": "2024-07-11",
"documentNumber": "PS00000550",
"lineItems": [
   {
      "customer": {
      "destination": {
      "city": "Los Altos",
      "country": "US",
      "mainDivision": "CA",
      "postalCode": "94022",
      "streetAddress1": "5050 El Camino Real"
          }
       },
       "lineItemId": "1",
       "materialCode": "3661601592669",
       "product": {
           "productClass": "GENERIC"
       },
       "quantity": {
           "unitOfMeasure": "EA",
           "value": 1
       },
       "unitPrice": 272.00
   }
],
"saleMessageType": "QUOTATION",
"seller": {
   "company": "PS001",
   "nexusIndicator": false,
   "physicalOrigin": {
       "city": "Los Altos",
       "country": "US",
       "mainDivision": "CA",
       "postalCode": "94022",
       "streetAddress1": "5050 El Camino Real"
  }
},
"transactionId": "PS00000550",
"transactionType": "SALE"
}'
```

Sample Response

```
{
    "data": {
      "currency": {
        "isoCurrencyCodeAlpha": "USD",
        "isoCurrencyCodeNum": 0,
        "isoCurrencyName": "US Dollar"
     },
     "customer": {
         "customerCode": {
            "classCode": "Guest",
             "isBusinessIndicator": false
          },
          "isTaxExempt": false,
          "taxRegistrations": []
      },
      "documentDate": "2024-10-30",
      "documentNumber": "PS00153520",
      "lineItems": [
        {
          "customer": {
            "customerCode": {
               "classCode": "Guest",
               "isBusinessIndicator": false
           },
           "destination": {
             "city": "Pacifica",
             "country": "US",
             "mainDivision": "CA",
             "postalCode": "94022",
             "streetAddress1": "Test store",
             "taxAreaId": "50851880"
           },
           "isTaxExempt": false,
           "taxRegistrations": []
    },
    "extendedPrice": 476.0,
    "fairMarketValue": 476.0,
    "lineItemId": "1",
    "materialCode": "3661601573729",
    "product": {
      "productClass": "GENERIC"
    },
    "quantity": {
      "unitOfMeasure": "EA",
      "value": 1.0
    },
    "seller": {
      "company": "PS001",
      "taxRegistrations": []
    },
    "taxIncludedIndicator": false,
    "taxes": [
      {
        "calculatedTax": 28.56,
        "calculationRuleId": {
          "salesTaxHolidayIndicator": false,
          "userDefined": false,
          "value": "v301192073"
        },
        "effectiveRate": 0.06,
        "exempt": 0.0,
        "imposition": {
           "impositionId": "1",
           "jurisdictionId": "2398",
           "userDefined": false,
           "value": "Sales and Use Tax"
        },
        "impositionType": {
           "impositionTypeId": "v1",
           "userDefined": false,
           "value": "General Sales and Use Tax"
        },
        "inclusionRuleId": {
          "salesTaxHolidayIndicator": false,
          "userDefined": false,
          "value": "v315028816"
        },
        "isService": false,
        "jurisdiction": {
          "effectiveDate": "1900-01-01",
          "expirationDate": "9999-12-31",
          "jurisdictionId": "2398",
          "jurisdictionType": "STATE",
          "value": "CALIFORNIA"
        },
        "maxTaxIndicator": false,
        "nominalRate": 0.06,
        "nonTaxable": 0.0,
        "notRegisteredIndicator": false,
        "situs": "DESTINATION",
        "taxCollectedFromParty": "BUYER",
        "taxResult": "TAXABLE",
        "taxStructure": "SINGLE_RATE",
        "taxType": "SALES",
        "taxable": 476.0
       },
       ...
    ],
    "totalTax": 43.44,
    "transactionType": "SALE",
    "unitPrice": 476.0
   }
 ],
 "returnAssistedParametersIndicator": true,
 "roundAtLineLevel": false,
 "saleMessageType": "QUOTATION",
 "seller": {
  "company": "PS001",
  "taxRegistrations": []
 },
 "subTotal": 476.0,
 "total": 519.44,
 "totalTax": 43.44,
 "transactionId": "PS00153520",
 "transactionType": "SALE"
},
"meta": {
 "app": "vertex-ws.war v9.0.18.0.95",
 "timeElapsed(ms)": 21,
 "timeReceived": "2024-10-30T11:58:49.038Z"
}
}
```

![Note](https://sf-zdocs-cdn-prod.zoominsoftware.com/tdta-commerce-retail-264-0-0-production-enus/17d647fb-8988-49fb-9add-c4f4cc79c9e4/images/icon_note.png)

Note The above sample request and response are for different orders. For additional references, multiple sample requests and responses for a mixed cart order are available in [Vertex Mixed Cart Order Examples](https://help.salesforce.com/s/articleView?id=commerce.rt_adv_config_3p_int_tax_vertex_mixed_cart_example.htm&release=264.0.0&type=5 "Review sample Vertex requests and responses for a mixed cart order that combines an in-store item with a ship-to-home item.").